Expected Payments

Methods

GET

Retrieve Single Expected Payment

/backend/api/v1/expectedPayments/ID - fetch expected payment with specified ID.

List Expected Payments

/backend/api/v1/expectedPayments/ - list all expected payments.

/backend/api/v1/customers/ID/expectedPayments/ - list expected payments belonging to customer with specified ID.

By default only open (unmatched) expected payments are shown.

Additional Query Parameters
Parameter Type Required Description
complete flag No Show only matched expected payments
includeComplete flag No Show all expected payments, including matched
paymentID integer No Filter by linked payment ID

POST

/backend/api/v1/customers/ID/expectedPayments/ - add a new expected payment to the specified customer, the newly-added expected payment will be returned.

PATCH

/backend/api/v1/expectedPayments/ID - update expected payment with specified ID. The modified expected payment will be returned.

DELETE

/backend/api/v1/expectedPayments/ID - delete expected payment with specified ID.

Fields

Field Name Type Description
ourReference Our Reference Text Internal reference for this expected payment
customerReference Customer’s Reference Text Customer’s own reference for this payment
expectedPaymentType Expected Payment Type Preset Value The type/category of this expected payment
expectedPaymentDueDate Expected Date Date The date this payment is expected to be received
requestedPaymentTypeIDs Request Payment By Preset Value(s) Payment methods to request from the customer
expectedPaymentAmount Amount Currency The amount expected to be paid
directDebitAccountID Direct Debit Account Preset Value Direct debit account to collect payment from
paymentCardID Payment Card Preset Value Payment card to charge for this payment
paymentID By Payment Preset Value The actual payment that fulfilled this expected payment
id Expected Payment ID Text The unique identifier for this expected payment
revisionNumber Revision Text Internal version tracking number for this expected payment
customerID Customer Text The customer this expected payment is for

Still Didn’t Find Your Answer?

For assistance, please contact us below.

Submit a ticket